CREATE TABLE ar_memo_lines_all_b_ (
    MEMO_LINE_ID                 NUMBER(18, 0) ,
    NAME                         VARCHAR2(200) ,
    SET_ID                       NUMBER(18, 0) ,
    LINE_TYPE                    VARCHAR2(120) ,
    EFFECTIVE_START_DATE         DATE          ,
    LAST_UPDATE_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY              VARCHAR2(256) ,
    CREATED_BY                   VARCHAR2(256) ,
    CREATION_DATE                TIMESTAMP(6)  ,
    DESCRIPTION                  VARCHAR2(320) ,
    TAX_CODE                     VARCHAR2(200) ,
    UOM_CODE                     VARCHAR2(12)  ,
    UNIT_STD_PRICE               NUMBER        ,
    INVOICING_RULE_ID            NUMBER(18, 0) ,
    ACCOUNTING_RULE_ID           NUMBER(18, 0) ,
    EFFECTIVE_END_DATE           DATE          ,
    ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    ATTRIBUTE1                   VARCHAR2(600) ,
    ATTRIBUTE2                   VARCHAR2(600) ,
    ATTRIBUTE3                   VARCHAR2(600) ,
    ATTRIBUTE4                   VARCHAR2(600) ,
    ATTRIBUTE5                   VARCHAR2(600) ,
    ATTRIBUTE6                   VARCHAR2(600) ,
    ATTRIBUTE7                   VARCHAR2(600) ,
    ATTRIBUTE8                   VARCHAR2(600) ,
    ATTRIBUTE9                   VARCHAR2(600) ,
    ATTRIBUTE10                  VARCHAR2(600) ,
    ATTRIBUTE11                  VARCHAR2(600) ,
    ATTRIBUTE12                  VARCHAR2(600) ,
    ATTRIBUTE13                  VARCHAR2(600) ,
    ATTRIBUTE14                  VARCHAR2(600) ,
    ATTRIBUTE15                  VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CATEGORY    VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE1            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE2            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE3            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE4            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE5            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE6            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE7            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE8            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE9            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE10           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE11           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE12           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE13           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE14           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE15           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE16           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE17           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE18           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE19           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE20           VARCHAR2(600) ,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    TAX_PRODUCT_CATEGORY         VARCHAR2(960) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)  ,
    MEMO_LINE_SEQ_ID             NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER1     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER2     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER3     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER4     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER5     NUMBER        ,
    GLOBAL_ATTRIBUTE_DATE1       DATE          ,
    GLOBAL_ATTRIBUTE_DATE2       DATE          ,
    GLOBAL_ATTRIBUTE_DATE3       DATE          ,
    GLOBAL_ATTRIBUTE_DATE4       DATE          ,
    GLOBAL_ATTRIBUTE_DATE5       DATE          ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    AUDIT_ACTION_TYPE_           VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_        VARCHAR2(4000),
    AUDIT_IMPERSONATOR_          VARCHAR2(256) ,
    MEMO_LINE_ID                 NUMBER(18, 0) ,
    NAME                         VARCHAR2(200) ,
    SET_ID                       NUMBER(18, 0) ,
    LINE_TYPE                    VARCHAR2(120) ,
    EFFECTIVE_START_DATE         DATE          ,
    LAST_UPDATE_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY              VARCHAR2(256) ,
    CREATED_BY                   VARCHAR2(256) ,
    CREATION_DATE                TIMESTAMP(6)  ,
    DESCRIPTION                  VARCHAR2(320) ,
    TAX_CODE                     VARCHAR2(200) ,
    UOM_CODE                     VARCHAR2(12)  ,
    UNIT_STD_PRICE               NUMBER        ,
    INVOICING_RULE_ID            NUMBER(18, 0) ,
    ACCOUNTING_RULE_ID           NUMBER(18, 0) ,
    EFFECTIVE_END_DATE           DATE          ,
    ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    ATTRIBUTE1                   VARCHAR2(600) ,
    ATTRIBUTE2                   VARCHAR2(600) ,
    ATTRIBUTE3                   VARCHAR2(600) ,
    ATTRIBUTE4                   VARCHAR2(600) ,
    ATTRIBUTE5                   VARCHAR2(600) ,
    ATTRIBUTE6                   VARCHAR2(600) ,
    ATTRIBUTE7                   VARCHAR2(600) ,
    ATTRIBUTE8                   VARCHAR2(600) ,
    ATTRIBUTE9                   VARCHAR2(600) ,
    ATTRIBUTE10                  VARCHAR2(600) ,
    ATTRIBUTE11                  VARCHAR2(600) ,
    ATTRIBUTE12                  VARCHAR2(600) ,
    ATTRIBUTE13                  VARCHAR2(600) ,
    ATTRIBUTE14                  VARCHAR2(600) ,
    ATTRIBUTE15                  VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE_CATEGORY    VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE1            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE2            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE3            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE4            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE5            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE6            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE7            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE8            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE9            VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE10           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE11           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE12           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE13           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE14           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE15           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE16           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE17           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE18           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE19           VARCHAR2(600) ,
    GLOBAL_ATTRIBUTE20           VARCHAR2(600) ,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    TAX_PRODUCT_CATEGORY         VARCHAR2(960) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)  ,
    MEMO_LINE_SEQ_ID             NUMBER(18, 0) ,
    GLOBAL_ATTRIBUTE_NUMBER1     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER2     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER3     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER4     NUMBER        ,
    GLOBAL_ATTRIBUTE_NUMBER5     NUMBER        ,
    GLOBAL_ATTRIBUTE_DATE1       DATE          ,
    GLOBAL_ATTRIBUTE_DATE2       DATE          ,
    GLOBAL_ATTRIBUTE_DATE3       DATE          ,
    GLOBAL_ATTRIBUTE_DATE4       DATE          ,
    GLOBAL_ATTRIBUTE_DATE5       DATE          ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    AUDIT_ACTION_TYPE_           VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_        VARCHAR2(4000),
    AUDIT_IMPERSONATOR_          VARCHAR2(256) ,
    CONSTRAINT pk_ar_memo_lines_all_b_ PRIMARY KEY (LAST_UPDATE_DATE, LAST_UPDATED_BY, MEMO_LINE_SEQ_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY, MEMO_LINE_SEQ_ID)
);
